UbixOS V2 2.0

Data Fields
super_block Struct Reference

`#include <vfs.h>`

Collaboration diagram for super_block:

## Data Fields
unsigned long | s_blocksize
unsigned char | s_blocksize_bits
struct inode * | s_covered
__dev_t | s_dev
unsigned char | s_dirt
unsigned long | s_flags
unsigned char | s_lock
unsigned long | s_magic
struct inode * | s_mounted
struct super_operations * | s_op
unsigned char | s_rd_only
unsigned long | s_time
struct wait_queue * | s_wait
union {
struct msdos_sb_info msdos_sb
} | u

## Detailed Description

Definition at line 107 of file vfs.h.

## Field Documentation

## ◆ msdos_sb

struct msdos_sb_info super_block::msdos_sb

Definition at line 122 of file vfs.h.

## ◆ s_blocksize

unsigned long super_block::s_blocksize

Definition at line 109 of file vfs.h.

## ◆ s_blocksize_bits

unsigned char super_block::s_blocksize_bits

Definition at line 110 of file vfs.h.

## ◆ s_covered

struct inode* super_block::s_covered

Definition at line 118 of file vfs.h.

Referenced by lookup().

## ◆ s_dev

__dev_t super_block::s_dev

Definition at line 108 of file vfs.h.

## ◆ s_dirt

unsigned char super_block::s_dirt

Definition at line 113 of file vfs.h.

## ◆ s_flags

unsigned long super_block::s_flags

Definition at line 115 of file vfs.h.

## ◆ s_lock

unsigned char super_block::s_lock

Definition at line 111 of file vfs.h.

## ◆ s_magic

unsigned long super_block::s_magic

Definition at line 116 of file vfs.h.

## ◆ s_mounted

struct inode* super_block::s_mounted

Definition at line 119 of file vfs.h.

Referenced by lookup().

## ◆ s_op

struct super_operations* super_block::s_op

Definition at line 114 of file vfs.h.

## ◆ s_rd_only

unsigned char super_block::s_rd_only

Definition at line 112 of file vfs.h.

## ◆ s_time

unsigned long super_block::s_time

Definition at line 117 of file vfs.h.

## ◆ s_wait

struct wait_queue* super_block::s_wait

Definition at line 120 of file vfs.h.

## ◆ u

union { ... } super_block::u

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/vfs.h